Get Extension Base URL https://api.elastic-cloud.com/api/v1 GET /deployments/extensions/{extension_id} Retrieves an extension. Path parameters extension_id string required Id of an extension Query parameters include_deployments boolean · default: false Include deployments referencing this extension. Up to only 10000 deployments will be included. Responses 200 The Extension application/json id string required The extension ID name string required The extension name. description string The extension description. url string required The extension URL to be used in the plan. download_url string The download URL specified during extension creation. extension_type enum required The extension type. Values: plugin bundle version string required The Elasticsearch version. deployments string[] List of deployments using this extension. Up to only 10000 deployments will be included in the list. file_metadata object + show properties last_modified_date string · format: date-time The date and time the extension was last modified. size integer · format: int64 The extension file size in bytes. url string · format: uri The temporary URL to download the extension file. Usable for verification. Response headers x-cloud-resource-version string The resource version, which is used to avoid update conflicts with concurrent operations x-cloud-resource-created string The date-time when the resource was created (ISO format relative to UTC) x-cloud-resource-last-modified string The date-time when the resource was last modified (ISO format relative to UTC) 404 The extension requested does not exist. (code: extensions.not_found) application/json errors object[] required A list of errors that occurred in the failing request + show properties code string required A structured code representing the error type that occurred message string required A human readable message describing the error that occurred fields string[] If the error can be tied to a specific field or fields in the user request, this lists those fields Response headers x-cloud-error-codes enum The error codes associated with the response